import { Client, Query, Mutation, ArgsQuery, ArgsMutation, ClientConfig } from '@/types';
import { BaseAPI } from './BaseAPI';
type ValuesOf<T> = T extends any[] ? T[number] : T;
type BodyChild<T> = {
    [Key in keyof T]?: Body<T[Key]>;
};
type Body<T> = Array<keyof NonNullable<ValuesOf<T>> | BodyChild<ValuesOf<T>>>;
export declare class ClientService extends BaseAPI {
    constructor(client: Client, baseUrl: string, config: ClientConfig);
    getTicketById(args: ArgsQuery['Ticket'], body: Body<Query['Ticket']>): Promise<Query['Ticket']>;
    getTickets(args: ArgsQuery['Tickets'], body: Body<Query['Tickets']>): Promise<Query['Tickets']>;
    suggestAnswer(args: ArgsQuery['SuggestAnswer'], body: Body<Query['SuggestAnswer']>): Promise<Query['SuggestAnswer']>;
    getTicketDepartments(body: Body<Query['TicketDepartments']>): Promise<Query['TicketDepartments']>;
    private createFormDate;
    ticketAdd(args: ArgsMutation['TicketAdd'], body: Body<Mutation['TicketAdd']>): Promise<Mutation['TicketAdd']>;
    ticketAddReply(args: ArgsMutation['TicketAddReply'], body: Body<Mutation['TicketAddReply']>): Promise<Mutation['TicketAddReply']>;
    ticketFeedback(args: ArgsMutation['TicketFeedback']): Promise<Mutation['TicketFeedback']>;
    ticketReplyFeedback(args: ArgsMutation['TicketReplyFeedback']): Promise<Mutation['TicketReplyFeedback']>;
    ticketClose(args: ArgsMutation['TicketClose']): Promise<Mutation['TicketClose']>;
    private generateArgs;
    private generateOperation;
    private hasAttachment;
    private generateBody;
    private errorHandler;
}
export {};
